import Component  from '../component.js'

export default class CoUxDashboardForm extends Component {

    constructor(parent) {
      let selector = 'ux-dashboard-form';
      super(parent, selector);
      // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/externals/src/lib/ux-components/widgets/components/ux-dashboard-form/ux-dashboard-form.component.html
    }

    get dashboardNameTextBoxLabel() {
      return this.currentPath + '//span[contains(@class,"ux-form-group__label")]';
    }

    get dashboardNameTextBox() {
      return this.currentPath + '//input[@id="dashboardName"]';
    }

    get fromCurrentRadioBtn() {
      return this.currentPath + '//input[@id="radio1a"]//following-sibling::label[@for="radio1a"]';
    }

    get fromBlankRadioBtn() {
        return this.currentPath + '//input[@id="radio1b"]//following-sibling::label[@for="radio1b"]';
    }

}


